Index: src/perl/register-dataset.cgi
===================================================================
--- src/perl/register-dataset.cgi	(revision 5310)
+++ src/perl/register-dataset.cgi	(revision 5311)
@@ -1,12 +1,12 @@
 #!/usr/bin/env perl
 #
 #  '$RCSfile$'
-#  Copyright: 2000 Regents of the University of California 
+#  Copyright: 2000 Regents of the University of California
 #
 #   '$Author$'
 #     '$Date$'
-# '$Revision$' 
-# 
+# '$Revision$'
+#
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
 # the Free Software Foundation; either version 2 of the License, or
@@ -43,39 +43,45 @@
 use File::Basename;
 use strict;
 
+#debug("running register-dataset.cgi");
+
 # Global configuration paramters
-my $cgiDir = $ENV{'SCRIPT_FILENAME'};
+my $cgiDir           = $ENV{'SCRIPT_FILENAME'};
 my $workingDirectory = ".";
-if ($cgiDir ne "") {
-    my $workingDirectory = dirname($cgiDir);
+if ( $cgiDir ne "" ) {
+	my $workingDirectory = dirname($cgiDir);
 }
 my $metacatProps = "${workingDirectory}/../WEB-INF/metacat.properties";
-my $properties = new Config::Properties();
-unless (open (METACAT_PROPERTIES, $metacatProps)) {
-    print "Content-type: text/html\n\n";
-    print "Unable to locate Metacat properties. Working directory is set as '$workingDirectory', is this correct?";
-    exit();
+my $properties   = new Config::Properties();
+unless ( open( METACAT_PROPERTIES, $metacatProps ) ) {
+	print "Content-type: text/html\n\n";
+	print
+"Unable to locate Metacat properties. Working directory is set as '$workingDirectory', is this correct?";
+	exit();
 }
 
 $properties->load(*METACAT_PROPERTIES);
 
 # local directory configuration
-my $skinsDir = "${workingDirectory}/../style/skins";
+my $skinsDir     = "${workingDirectory}/../style/skins";
 my $templatesDir = abs_path("${workingDirectory}/../style/common/templates");
-my $tempDir = $properties->getProperty('application.tempDir');
-my $dataDir = $properties->getProperty('application.datafilepath');
+my $tempDir      = $properties->getProperty('application.tempDir');
+my $dataDir      = $properties->getProperty('application.datafilepath');
 
 # url configuration
-my $server = $properties->splitToTree(qr/\./, 'server');
+my $server = $properties->splitToTree( qr/\./, 'server' );
 my $contextUrl = 'http://' . $properties->getProperty('server.name');
-if ($properties->getProperty('server.httpPort') ne '80') {
-    $contextUrl = $contextUrl . ':' . $properties->getProperty('server.httpPort');
+if ( $properties->getProperty('server.httpPort') ne '80' ) {
+	$contextUrl =
+	  $contextUrl . ':' . $properties->getProperty('server.httpPort');
 }
-$contextUrl = $contextUrl . '/' .  $properties->getProperty('application.context');
+$contextUrl =
+  $contextUrl . '/' . $properties->getProperty('application.context');
 
 my $metacatUrl = $contextUrl . "/metacat";
-my $cgiPrefix = "/" . $properties->getProperty('application.context') . "/cgi-bin";
-my $styleSkinsPath = $contextUrl . "/style/skins";
+my $cgiPrefix =
+  "/" . $properties->getProperty('application.context') . "/cgi-bin";
+my $styleSkinsPath  = $contextUrl . "/style/skins";
 my $styleCommonPath = $contextUrl . "/style/common";
 
 my $now = time;
@@ -85,24 +91,28 @@
 
 # Must have a config to use Metacat
 my $skinName = "";
-if (hasContent($FORM::cfg)) {
-    $skinName = $FORM::cfg;
-} elsif (hasContent($ARGV[0])) {
-    $skinName = $ARGV[0];
-} else {
-    debug("No configuration set.");
-    print "Content-type: text/html\n\n";
-    'Registry Error: The registry requires a skin name to continue.';
-    exit();
+if ( hasContent($FORM::cfg) ) {
+	$skinName = $FORM::cfg;
 }
+elsif ( hasContent( $ARGV[0] ) ) {
+	$skinName = $ARGV[0];
+}
+else {
+	debug("No configuration set.");
+	print "Content-type: text/html\n\n";
+	'Registry Error: The registry requires a skin name to continue.';
+	exit();
+}
 
 # Metacat isn't initialized, the registry will fail in strange ways.
-if (!hasContent($metacatUrl)) {
-    debug("No Metacat.");
-    print "Content-type: text/html\n\n";
-    'Registry Error: Metacat is not initialized! Make sure' .
-        ' MetacatUrl is set correctly in ' .  $skinName . '.properties';
-    exit();
+if ( !hasContent($metacatUrl) ) {
+	debug("No Metacat.");
+	print "Content-type: text/html\n\n";
+	'Registry Error: Metacat is not initialized! Make sure'
+	  . ' MetacatUrl is set correctly in '
+	  . $skinName
+	  . '.properties';
+	exit();
 }
 
 # Set up the hash for returning data to the HTML templates
@@ -111,32 +121,33 @@
 my @errorMessages;
 
 my $skinProperties = new Config::Properties();
-if (! hasContent($skinName)) {
-    $error = "Application misconfigured.  Please contact the administrator.";
-    push(@errorMessages, $error);
-} else {
-    my $skinProps = "$skinsDir/$skinName/$skinName.properties";
-    unless (open (SKIN_PROPERTIES, $skinProps)) {
-        print "Content-type: text/html\n\n";
-        print "Unable to locate skin properties at $skinProps.  Is this path correct?";
-        exit();
-    }
-    $skinProperties->load(*SKIN_PROPERTIES);
+if ( !hasContent($skinName) ) {
+	$error = "Application misconfigured.  Please contact the administrator.";
+	push( @errorMessages, $error );
 }
+else {
+	my $skinProps = "$skinsDir/$skinName/$skinName.properties";
+	unless ( open( SKIN_PROPERTIES, $skinProps ) ) {
+		print "Content-type: text/html\n\n";
+		print "Unable to locate skin properties at $skinProps.  Is this path correct?";
+		exit();
+	}
+	$skinProperties->load(*SKIN_PROPERTIES);
+}
 
 # replacements for appconfig values using properties
 my $moderators = $properties->getProperty('auth.moderators');
-my $config = $skinProperties->splitToTree(qr/\./, 'registry.config');
-my $templates = $skinProperties->splitToTree(qr/\./, 'registry.templates');
-my $modules = $skinProperties->splitToTree(qr/\./, 'registry.modules');
-my $required = $skinProperties->splitToTree(qr/\./, 'registry.required');
-my $spatial = $skinProperties->splitToTree(qr/\./, 'registry.spatial');
-my $show = $skinProperties->splitToTree(qr/\./, 'registry.show');
+my $config     = $skinProperties->splitToTree( qr/\./, 'registry.config' );
+my $templates  = $skinProperties->splitToTree( qr/\./, 'registry.templates' );
+my $modules    = $skinProperties->splitToTree( qr/\./, 'registry.modules' );
+my $required   = $skinProperties->splitToTree( qr/\./, 'registry.required' );
+my $spatial    = $skinProperties->splitToTree( qr/\./, 'registry.spatial' );
+my $show       = $skinProperties->splitToTree( qr/\./, 'registry.show' );
 
 # set stderr printing if configured
 my $debug_enabled = $config->{'debug'};
 if ($FORM::debug) {
-    $debug_enabled = $FORM::debug;
+	$debug_enabled = $FORM::debug;
 }
 
 # skin owner credentials
@@ -144,15 +155,15 @@
 my $adminPassword = $config->{'password'};
 
 # contains sender, recipient, admin, mailhost
-my $skinEmail = $skinProperties->splitToTree(qr/\./, 'email');
-my $email = $properties->splitToTree(qr/\./, 'email');
+my $skinEmail = $skinProperties->splitToTree( qr/\./, 'email' );
+my $email = $properties->splitToTree( qr/\./, 'email' );
 
 # override email properties with skin-based ones
 my @emailData = keys(%$email);
 foreach my $d (@emailData) {
-    if (%$skinEmail->{$d}) {
-        $email->{$d} = %$skinEmail->{$d};
-    }
+	if ( %$skinEmail->{$d} ) {
+		$email->{$d} = %$skinEmail->{$d};
+	}
 }
 
 # convert the lat and lon configs into usable data structures
@@ -160,25 +171,26 @@
 my %siteLatDMS;
 my %siteLongDMS;
 
-while (my ($key, $value) = each (%$spatial)) {
-    my ($name, $lon, $lat) = split(/\|/, $value);
-    my ($latd, $latm, $lats, $latdir) = split(/\|/, $lat);
-    my ($lond, $lonm, $lons, $londir) = split(/\|/, $lon);
-    push(@sitelist, $name);
-    $siteLatDMS{$name} = [ $latd, $latm, $lats, $latdir ];
-    $siteLongDMS{$name} = [ $lond, $lonm, $lons, $londir ];
+while ( my ( $key, $value ) = each(%$spatial) ) {
+	my ( $name, $lon, $lat ) = split( /\|/, $value );
+	my ( $latd, $latm, $lats, $latdir ) = split( /\|/, $lat );
+	my ( $lond, $lonm, $lons, $londir ) = split( /\|/, $lon );
+	push( @sitelist, $name );
+	$siteLatDMS{$name}  = [ $latd, $latm, $lats, $latdir ];
+	$siteLongDMS{$name} = [ $lond, $lonm, $lons, $londir ];
 }
 
 # set some configuration options for the template object
 my $ttConfig = {
-             INCLUDE_PATH => $templatesDir,
-             INTERPOLATE  => 0,                    
-             POST_CHOMP   => 1,
-             DEBUG        => 1,
-             };
+	INCLUDE_PATH => $templatesDir,
+	INTERPOLATE  => 0,
+	POST_CHOMP   => 1,
+	DEBUG        => 1,
+};
 
 # create an instance of the template processor
 my $template = Template->new($ttConfig) || die $Template::ERROR, "\n";
+
 #print "Content-type: text/html\n\n";
 #print "Is debug enabled? `$debug_enabled`";
 #use Data::Dumper;
